#   FileSocket: Wraps around a Python file object to make it seem to be a socket
#   Copyright (C) 1999  Daniel Arbuckle
#
#   This program is free software; you can redistribute it and/or modify
#   it under the terms of the GNU General Public License as published by
#   the Free Software Foundation; either version 2 of the License, or
#   (at your option) any later version.
#
#   This program is distributed in the hope that it will be useful,
#   but WITHOUT ANY WARRANTY; without even the implied warranty of
#   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#   GNU General Public License for more details.
#
#    You should have received a copy of the GNU General Public License
#    along with this program; if not, write to the Free Software
#    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
#    
#   As a special exception, this code may be linked with code not covered
#   by the GNU General Public License, as long as the license covering the
#   other code does not restrict or modify the provisions governing the
#   use of this code.
#
#    Daniel Arbuckle can be contacted by email at djarb@wvc-omak.ctc.edu

class FileSocket:
    def __init__(self, file, mode = "w"):
        if type(file) == type(""):
            self.file = open(file, mode)
        else:
            self.file = file
    
    #I don't need any of the other methods of Socket
    def recv(self, bufsize):
        return self.file.read(bufsize)
        
    def send(self, string):
        self.file.write(string)

    def setblocking(self, int):
        pass

    def close(self):
        self.file.close()
