#   Util: Utilities used in PyJabber
#   Copyright (C) 1999  Daniel Arbuckle
#
#   This program is free software; you can redistribute it and/or modify
#   it under the terms of the GNU General Public License as published by
#   the Free Software Foundation; either version 2 of the License, or
#   (at your option) any later version.
#
#   This program is distributed in the hope that it will be useful,
#   but WITHOUT ANY WARRANTY; without even the implied warranty of
#   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#   GNU General Public License for more details.
#
#    You should have received a copy of the GNU General Public License
#    along with this program; if not, write to the Free Software
#    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
#    
#   As a special exception, this code may be linked with code not covered
#   by the GNU General Public License, as long as the license covering the
#   other code does not restrict or modify the provisions governing the
#   use of this code.
#
#    Daniel Arbuckle can be contacted by email at djarb@wvc-omak.ctc.edu

import string

# Splits a string consisting of an optional namespace identifier followed by
# an element or attribute name into a 2-tuple consisting of the namespace
# identifier and the element of attribute name. If the string did not contain
# a namespace identifier, the empty string is returned as the namespace.
def split_name(name):
    l = string.split(name)
    if len(l) > 1:
        return (l[0], l[-1])
    return ("", name)

# Joins either a 2-tuple or a pair of words into an xmllib style scoped name.
def join_name(a, b = None):
    if b:
        return "%s %s" % (a, b)
    return "%s %s" % (a[0], a[-1])

